Update an automation
curl --request PUT \
--url http://0.0.0.0:3000/v1/automations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Desligar aquecedor de manhã",
"trigger": {
"platform": "time",
"at": "08:00:00"
},
"conditions": [],
"actions": [
{
"type": "call_service",
"entity_id": "switch.aquecedor",
"service": "turn_off"
}
],
"enabled": true
}
'import requests
url = "http://0.0.0.0:3000/v1/automations/{id}"
payload = {
"name": "Desligar aquecedor de manhã",
"trigger": {
"platform": "time",
"at": "08:00:00"
},
"conditions": [],
"actions": [
{
"type": "call_service",
"entity_id": "switch.aquecedor",
"service": "turn_off"
}
],
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Desligar aquecedor de manhã',
trigger: {platform: 'time', at: '08:00:00'},
conditions: [],
actions: [{type: 'call_service', entity_id: 'switch.aquecedor', service: 'turn_off'}],
enabled: true
})
};
fetch('http://0.0.0.0:3000/v1/automations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Ligar aquecedor ao anoitecer",
"trigger": {
"platform": "sun",
"event": "sunset"
},
"conditions": [],
"actions": [
{
"type": "call_service",
"entity_id": "switch.aquecedor",
"service": "turn_on"
}
],
"enabled": true,
"user_id": "user_abc123",
"org_id": null,
"created_at": "2026-03-17T10:00:00Z"
}{
"message": "validation error"
}{
"error": "unauthorized"
}{
"error": "forbidden"
}{
"message": "not found"
}Automations
Update an automation
PUT
/
v1
/
automations
/
{id}
Update an automation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
ID da organização para contexto (opcional). Quando presente, filtra recursos da org.
Path Parameters
ID numérico da automação
Body
application/json
⌘I